### Method

# Hinawa CycleTime get_clock_id

since: 2.6

#### Declaration [src]

    void
    hinawa_cycle_time_get_clock_id (
      const HinawaCycleTime* self,
      gint* clock_id
    )

#### Description [src]

Get the ID of clock for timestamp.

Available since: 2.6

#### Parameters

`clock_id`

  Type: `gint*`

  The numeric ID of clock source for the reference timestamp. One of CLOCK_REALTIME(0), CLOCK_MONOTONIC(1), and CLOCK_MONOTONIC_RAW(4) is available UAPI of Linux kernel.

  The argument will be set by the function.